/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * OperationRegistry.cpp
 *
 *  Created on: Dec 11, 2011
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// boost asio needs specific operator new
#include <boost/asio.hpp>

#include "CodePatterns/MemDebug.hpp"

#include "OperationRegistry.hpp"

#include "CodePatterns/Registry_impl.hpp"


OperationRegistry::OperationRegistry()
{}

OperationRegistry::~OperationRegistry()
{}

CONSTRUCT_REGISTRY(Operation)
